yum initscript changes

Florian La Roche laroche at redhat.com
Thu Jul 24 12:46:09 UTC 2003


Change the initscript for current RHL defaults (whereever they are
specified ;-) ;-):
- It is bash-only.
- Translations are possible.
- Do not use subshells if not needed.
- Add reload as dummy function.
- Use touch instead of /bin/touch. (That is personal feeling.)

greetings,

Florian La Roche


--- yum-2.0/etc/yum.init.lr	2003-07-24 14:28:50.000000000 +0200
+++ yum-2.0/etc/yum.init	2003-07-24 14:41:48.000000000 +0200
@@ -1,4 +1,4 @@
-#!/bin/sh
+#!/bin/bash
 #
 # yum           This shell script enables the automatic use of YUM
 #
@@ -13,14 +13,14 @@
 . /etc/rc.d/init.d/functions
 
 start() {
-	echo -n "Enabling yum: "
-	(/bin/touch /var/lock/subsys/yum && success) || failure
+	echo -n $"Starting yum service: "
+	touch /var/lock/subsys/yum && success || failure
 	echo
 }
 
 stop() {
-	echo -n "Disabling yum: "
-	(/bin/rm -f /var/lock/subsys/yum && success) || failure
+	echo -n $"Stopping yum service: "
+	rm -f /var/lock/subsys/yum && success || failure
 	echo
 }
 
@@ -35,6 +35,8 @@
 	stop
 	start
 	;;
+  reload)
+	;;
   condrestart)
         if [ -f /var/lock/subsys/yum ]; then
 	    stop
@@ -43,13 +45,13 @@
 	;;
   status)
 	if [ -f /var/lock/subsys/yum ]; then
-		echo "nightly yum update is enabled"
+		echo $"Nightly yum update is enabled."
 	else
-		echo "nightly yum update is disabled"
+		echo $"Nightly yum update is disabled."
 	fi
 	;;
   *)
-	echo "*** Usage: yum {start|stop|restart|condrestart|status}"
+	echo $"Usage: $0 {start|stop|status|restart|reload|condrestart}"
 	exit 1
 esac
 





More information about the devel mailing list